passwd: User not known to the underlying authentication module

2017年3月17日 0 条评论 540 次阅读 0 人点赞

之前弄【使用changepassword.cgi为samba客户端提供自助密码修改】然后再【shell 管理samba用户】的时候发现系统用户使用passwd改密码老是提示标题所示错误,之前还第一次可以改第二次就行了,所以也没怎么在意,今天一直都是改不了,没办法,搜索了一下,各种没搞清楚套路,然后在 http://www.linuxquestions.org/questions/linux-security-4/passwd-user-not-known-to-the-underlying-authentication-module-146787/ 中看到4#楼的层主发的/etc/pam.d/passwd内容,于是替换了,结果发现可以了,内容如下:

#%PAM-1.0
auth required pam_deny.so
password sufficient pam_unix.so md5 shadow
password required pam_deny.so
account required pam_deny.so
session required pam_deny.so

Sevenfal

这个人太懒什么东西都没留下

文章评论(0)